<template>
  <div id="claimList">
    <el-row>
      <el-col :span="24">
        <el-table ref="debtTable" :data="debtTable" style="width: 100%" border>
          <el-table-column type="index" label="序号" width="50" align="center"> </el-table-column>
          <el-table-column property="name" label="机构名称" align="center"> </el-table-column>
          <el-table-column label="机构信息审核状态" align="center">
            <template slot-scope="scope">
              {{ getstatus(scope.row.status) }}
            </template>
          </el-table-column>
          <el-table-column fixed="right" label="操作" align="center">
            <template slot-scope="scope">
              <el-button @click="tomake(scope.row)" type="text" icon="el-icon-upload" title="发布至金控审核"></el-button>
            </template>
          </el-table-column>
        </el-table>
        <el-row class="page">
          <el-pagination
            @size-change="handleSizeChange"
            @current-change="handleCurrentChange"
            :current-page="currentPage"
            :page-size="10"
            layout="total, prev, pager, next, jumper"
            :total="total"
          >
          </el-pagination>
        </el-row>
      </el-col>
    </el-row>
  </div>
</template>

<script>
export default {
  name: 'claimList',
  props: {
    debtTable: null,
    total: null,
  },
  components: {},
  data: () => ({
    currentPage: 1,
  }),
  created() {},
  computed: {},
  methods: {
    deleteRow(id) {
      this.$emit('deleteRow', id);
    },
    clickRest(id) {
      this.$emit('clickRest', id);
    },
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      this.$emit('pagechange', { skip: val });
    },
    tomake(val) {
      this.$emit('tomake', { data: val });
    },
    getstatus(val) {
      if (val == '0') {
        return '草稿';
      } else if (val == '1') {
        return '待审核';
      } else if (val == '2') {
        return '已通过审核';
      } else {
        return '已下架,需重新发布至审核';
      }
    },
  },
};
</script>

<style lang="less" scoped>
.page {
  text-align: center;
  padding: 15px 0;
}
</style>
